package cn.com.tenlion.materialstore.pojo.pos.materialmap;

/**
 *
 * @ClassName: MaterialMapPO
 * @Description: 经纬度素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:01:59
 * @Version: 3.0
 **/
public class MaterialMapPO {

    private String materialMapId;
    private Double materialMapLong;
    private Double materialMapLat;
    private String materialMapAddress;
    private String materialId;
    private Integer materialOrder;
    private String materialRemark;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getMaterialMapId() {
        return materialMapId == null ? "" : materialMapId.trim();
    }

    public void setMaterialMapId(String materialMapId) {
        this.materialMapId = materialMapId;
    }

    public Double getMaterialMapLong() {
        return materialMapLong == null ? 0D : materialMapLong;
    }

    public void setMaterialMapLong(Double materialMapLong) {
        this.materialMapLong = materialMapLong;
    }

    public Double getMaterialMapLat() {
        return materialMapLat == null ? 0D : materialMapLat;
    }

    public void setMaterialMapLat(Double materialMapLat) {
        this.materialMapLat = materialMapLat;
    }

    public String getMaterialMapAddress() {
        return materialMapAddress == null ? "" : materialMapAddress.trim();
    }

    public void setMaterialMapAddress(String materialMapAddress) {
        this.materialMapAddress = materialMapAddress;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
